<div class="container">
  <div class="jumbotron bg-primary">
    <h1 style="color: white">Welcome </h1>
    <h2 style="color: white">SpringBoot DEMO</h2>
  </div>
  <div class="card ">
    <div class="card-header bg-primary ">
      <h6 style="color: white">Sign In</h6>
    </div>
    <div class="container" style="text-align: center">
      <br>
      <fieldset>
        <form [formGroup]="userForm">
          <table border="0" width="100%">

            <tr>
              <td>
                <mat-label>Email :</mat-label>
              </td>
              <td>
                <mat-form-field appearance="outline" style="width: 470px">
                  <mat-label>Email</mat-label>
                  <input formControlName="email" matInput placeholder="Email">
                </mat-form-field>
                <div *ngIf="getEmail.invalid && getEmail.touched">
                  <div *ngIf="getEmail.errors.required">
                    Champ Obligatoire
                  </div>
                  <div *ngIf="getEmail.errors.minlength">
                    Min Lenght 3
                  </div>
                </div>
              </td>
            </tr>
            <tr>
              <td>
                <mat-label>Password :</mat-label>
              </td>
              <td>

                <mat-form-field appearance="outline" style="width: 470px">
                  <mat-label>Password</mat-label>
                  <input [type]="hide ? 'password' : 'text'" formControlName="password" matInput placeholder="Password">
                  <button (click)="hide = ! hide" [attr.aria-label]="'Hide password'" [attr.aria-pressed]="hide"
                          mat-icon-button
                          matSuffix>
                    <mat-icon>{{hide ? 'visibility_off' : 'visibility'}}</mat-icon>
                  </button>
                </mat-form-field>
                <div *ngIf="getPassword.invalid && getPassword.touched">
                  <div *ngIf="getPassword.errors.required">
                    Champ Obligatoire
                  </div>
                </div>
              </td>
            </tr>

            <tr >
              <td></td>
              <td>
                <button (click)="authenticate()" [disabled]="userForm.invalid" class="btn btn-primary "
                        style="width: 150px">Login
                </button>
              </td>
              <td><a [routerLink]="['/signup']" style="text-align: right">You don't have an account ? SignUp</a></td>
            </tr>


          </table>
        </form>
        <br><br>
      </fieldset>
    </div>
  </div>

</div>
